package fr.takima.lotka_volterra.common;

import fr.takima.lotka_volterra.common.value.PositiveInt;
import fr.takima.lotka_volterra.validator.LowerThanValidator;

public class Angle extends PositiveInt {

    public static final int MAX_VALUE = 360;

    public Angle(Integer value) {
        super(value);
        new LowerThanValidator<>("value", value, MAX_VALUE).validate();
    }

}
