package fr.takima.lotka_volterra.predation;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties("predation")
public class PredationProperties {

    private Integer maxDistance;
    private Double successProbability;
    private Integer successSatietyGain;
    private Integer failureSatietyLoss;

    public Integer getMaxDistance() {
        return maxDistance;
    }

    public void setMaxDistance(Integer maxDistance) {
        this.maxDistance = maxDistance;
    }

    public Double getSuccessProbability() {
        return successProbability;
    }

    public void setSuccessProbability(Double successProbability) {
        this.successProbability = successProbability;
    }

    public Integer getSuccessSatietyGain() {
        return successSatietyGain;
    }

    public void setSuccessSatietyGain(Integer successSatietyGain) {
        this.successSatietyGain = successSatietyGain;
    }

    public Integer getFailureSatietyLoss() {
        return failureSatietyLoss;
    }

    public void setFailureSatietyLoss(Integer failureSatietyLoss) {
        this.failureSatietyLoss = failureSatietyLoss;
    }

}
