package fr.takima.lotka_volterra.predator;

import fr.takima.lotka_volterra.moving.Position;
import fr.takima.lotka_volterra.moving.PositionUpdate;
import org.springframework.stereotype.Component;

@Component
public final class PredatorPositionUpdate implements PositionUpdate<Predator> {

    @Override
    public Predator apply(Predator entity, Position newPosition) {
        return entity.withPosition(newPosition);
    }

}
