package fr.takima.lotka_volterra.validator;

public abstract class Validator<T> {

    protected final String name;
    protected final T value;

    protected Validator(String name, T value) {
        if (name == null) {
            throw new IllegalArgumentException("name must not be null");
        }
        this.name = name;
        this.value = value;
    }

    public abstract void validate();

}
