package fr.takima.lotka_volterra.common.value;

import fr.takima.lotka_volterra.validator.GreaterThanValidator;

public class PositiveInt extends IntValue {

    public PositiveInt(Integer value) {
        super(value);
        new GreaterThanValidator<>("value", value, 0).validate();
    }

    @Override
    public String toString() {
        return "PositiveInt{" +
                "value=" + value +
                '}';
    }

}
