package fr.takima.lotka_volterra.moving;

import fr.takima.lotka_volterra.common.Distance;

public interface MovingEntity {

    Position position();

    default Distance distanceTo(MovingEntity other) {
        return position().distanceTo(other.position());
    }

    default boolean isWithin(Distance distance, MovingEntity other) {
        return distanceTo(other).isLessThan(distance);
    }

}
