package fr.takima.lotka_volterra.predation;

import fr.takima.lotka_volterra.common.Probability;
import fr.takima.lotka_volterra.common.Distance;
import fr.takima.lotka_volterra.predator.Satiety;

import java.util.Random;

public interface PredationConfigurer {

    Random random();

    Distance maxDistance();

    Probability successProbability();

    Satiety successSatietyGain();

    Satiety failureSatietyLoss();

}
