package fr.takima.lotka_volterra.prey;

import fr.takima.lotka_volterra.moving.Position;
import fr.takima.lotka_volterra.moving.PositionUpdate;
import org.springframework.stereotype.Component;

@Component
public final class PreyPositionUpdate implements PositionUpdate<Prey> {

    @Override
    public Prey apply(Prey entity, Position newPosition) {
        return entity.withPosition(newPosition);
    }

}
