package fr.takima.lotka_volterra.validator;

public final class NotNullValidator extends Validator<Object> {

    public NotNullValidator(String name, Object value) {
        super(name, value);
    }

    @Override
    public void validate() {
        if (value == null) {
            throw new IllegalArgumentException(name + " must not be null");
        }
    }

}
